Bug 167863 - [UPDATE] chinese/fcitx-* to 4.2.3; chinese/sunpinyin to 2.0.4rc1
Summary: [UPDATE] chinese/fcitx-* to 4.2.3; chinese/sunpinyin to 2.0.4rc1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-14 08:40 UTC by lichray
Modified: 2012-05-25 08:50 UTC (History)
0 users

See Also:


Attachments
fcitx_4.2.3_all.patch (17.61 KB, patch)
2012-05-14 08:40 UTC, lichray
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2012-05-14 08:40:01 UTC
	
	sunpinyin, fcitx-sunpinyin:

	sunpinyin-2.0.3 was released 15 months ago, and the version 2.0.4 appeared in git 10 months ago, but 2.0.4 is still not released yet.
	https://github.com/sunpinyin/sunpinyin
	However, fcitx-sunpinyin requires some features in 2.0.4, and that's why I made the patch-2.0.4-compatible. But now I think the git version is stable enough, so I packaged it personally. The distfile can be obtained from
	https://docs.google.com/open?id=0B5749ux4jowQZnJzNjc4aEFyMlE
	and I hope the committer who takes this PR can host the distfile (MASTER_SITES needs to be changed accordingly).

	fcitx:
	fcitx itself has a Japanese translation now.

	fcitx-configtool, fcitx-chewing, fcitx-keyboard:
	Just some regular updates.
Comment 1 Wen Heping freebsd_committer 2012-05-15 13:03:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-05-25 08:26:02 UTC
wen         2012-05-25 07:25:44 UTC

  FreeBSD ports repository

  Modified files:
    chinese/sunpinyin    Makefile distinfo pkg-plist 
    chinese/sunpinyin/files patch-xdg 
  Removed files:
    chinese/sunpinyin/files patch-2.0.4-compatible 
  Log:
  - Update to 2.0.4rc1
  
  PR:             167863
  Submitted by:   Zhihao Yuan <lichray@gmail.com>
  
  Revision  Changes    Path
  1.3       +4 -3      ports/chinese/sunpinyin/Makefile
  1.2       +6 -6      ports/chinese/sunpinyin/distinfo
  1.2       +0 -88     ports/chinese/sunpinyin/files/patch-2.0.4-compatible (dead)
  1.2       +18 -10    ports/chinese/sunpinyin/files/patch-xdg
  1.2       +2 -0      ports/chinese/sunpinyin/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2012-05-25 08:28:56 UTC
wen         2012-05-25 07:28:34 UTC

  FreeBSD ports repository

  Modified files:
    chinese/fcitx        Makefile distinfo pkg-plist 
  Log:
  - Update to 4.2.3
  
  PR:             167863
  Submitted by:   Zhihao Yuan <lichray@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.43      +1 -1      ports/chinese/fcitx/Makefile
  1.26      +2 -2      ports/chinese/fcitx/distinfo
  1.20      +2 -0      ports/chinese/fcitx/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2012-05-25 08:32:51 UTC
wen         2012-05-25 07:32:34 UTC

  FreeBSD ports repository

  Modified files:
    chinese/fcitx-chewing Makefile distinfo pkg-descr 
  Log:
  - Update to 0.1.2
  - Update pkg-descr
  
  PR:             167863
  Submitted by:   Zhihao Yuan <lichray@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.3       +2 -2      ports/chinese/fcitx-chewing/Makefile
  1.2       +2 -2      ports/chinese/fcitx-chewing/distinfo
  1.2       +1 -1      ports/chinese/fcitx-chewing/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2012-05-25 08:36:06 UTC
wen         2012-05-25 07:35:58 UTC

  FreeBSD ports repository

  Modified files:
    chinese/fcitx-configtool Makefile distinfo 
    chinese/fcitx-configtool/files patch-gtk3_CMakeLists.txt 
                                   patch-gtk_CMakeLists.txt 
  Log:
  - Update to 0.4.3
  
  PR:             167863
  Submitted by:   Zhihao Yuan <lichray@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.5       +3 -2      ports/chinese/fcitx-configtool/Makefile
  1.5       +2 -2      ports/chinese/fcitx-configtool/distinfo
  1.2       +5 -6      ports/chinese/fcitx-configtool/files/patch-gtk3_CMakeLists.txt
  1.2       +6 -6      ports/chinese/fcitx-configtool/files/patch-gtk_CMakeLists.txt
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2012-05-25 08:39:32 UTC
wen         2012-05-25 07:39:23 UTC

  FreeBSD ports repository

  Modified files:
    textproc/fcitx-keyboard Makefile distinfo 
  Log:
  - Update to 0.1.3
  
  PR:             167863
  Submitted by:   Zhihao Yuan <lichray@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.4       +1 -1      ports/textproc/fcitx-keyboard/Makefile
  1.3       +2 -2      ports/textproc/fcitx-keyboard/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2012-05-25 08:45:22 UTC
wen         2012-05-25 07:45:08 UTC

  FreeBSD ports repository

  Modified files:
    chinese/fcitx-sunpinyin Makefile distinfo 
  Removed files:
    chinese/fcitx-sunpinyin/files patch-cmake_FindSunpinyin.cmake 
  Log:
  - Update to 0.3.6
  
  PR:             167863
  Submitted by:   Zhihao Yuan <lichray@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.5       +1 -1      ports/chinese/fcitx-sunpinyin/Makefile
  1.5       +2 -2      ports/chinese/fcitx-sunpinyin/distinfo
  1.2       +0 -11     ports/chinese/fcitx-sunpinyin/files/patch-cmake_FindSunpinyin.cmake (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Wen Heping freebsd_committer 2012-05-25 08:45:30 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!